Subject: Re: Preemptive Kernel and MPC8xx ???

From: Jaap-Jan Boor <[email-masked]>
Date: Wed, 26 Nov 2003 17:19:24 +0100

On Tue, 2003-11-25 at 09:13, Steven Scholz wrote:
> Hi,
>
> > On Mon, 24 Nov 2003, Jaap-Jan Boor wrote:
> >
> >>Yes I do on 2.4.20 and 2.4.22 from kernel.org. So far all seems
> >>to work but didn't do any measurements on it.
> >>(I both use the preempt and low-latency patches)
> Have you writting your own device drivers?
> How did you make them preemptable?

I didn't... I still assume the kernel will lock
e.g. the same SIU irq

>
> Marius Groeger wrote:
> > AFAIK, you can pretty much drop the low-latency patch in favor of
> > using the lock-breaking patch. It is also available from Robert Love
> > at the cited home page.
> How about homemade device drivers when using the lock-breaking patch?
>
> Thanks!
>
> --
> Steven Scholz
>
> imc Measurement & Control               imc Meßsysteme GmbH
> Voltastr. 5                             Voltastr. 5
> 13355 Berlin                            13355 Berlin
> Germany                                 Deutschland
> fon: +49 30 467090-0                    Tel: 030 / 467090-0
> fax: +49 30 4631576                     fax: 030 / 4631576
>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/